import 'package:flutter/material.dart';
import 'package:phoenix_widgets_example/phoenix_back_button_page.dart';
import 'package:phoenix_widgets_example/phoenix_banner_page.dart';
import 'package:phoenix_widgets_example/phoenix_bottom_sheet_page.dart';
import 'package:phoenix_widgets_example/phoenix_bottom_sheet_tile_page.dart';
import 'package:phoenix_widgets_example/phoenix_checkbox_page.dart';
import 'package:phoenix_widgets_example/phoenix_chip_page.dart';
import 'package:phoenix_widgets_example/phoenix_dialog_page.dart';
import 'package:phoenix_widgets_example/phoenix_dropdown_page.dart';
import 'package:phoenix_widgets_example/phoenix_empty_page_page.dart';
import 'package:phoenix_widgets_example/phoenix_end_of_section_page.dart';
import 'package:phoenix_widgets_example/phoenix_expandable_list_page.dart';
import 'package:phoenix_widgets_example/phoenix_list_group_page.dart';
import 'package:phoenix_widgets_example/phoenix_list_group_partition_page.dart';
import 'package:phoenix_widgets_example/phoenix_listview_page.dart';
import 'package:phoenix_widgets_example/phoenix_more_page.dart';
import 'package:phoenix_widgets_example/phoenix_navigation_card_page.dart';
import 'package:phoenix_widgets_example/phoenix_search_no_content_page.dart';
import 'package:phoenix_widgets_example/phoenix_searchbar_page.dart';
import 'package:phoenix_widgets_example/phoenix_shimmer_page.dart';
import 'package:phoenix_widgets_example/phoenix_tab_view_page.dart';
import 'package:phoenix_widgets_example/phoenix_text_field_page.dart';
import 'package:phoenix_widgets_example/phoenix_tick_page.dart';
import 'package:phoenix_widgets_example/phoenix_title_page.dart';
import 'package:phoenix_widgets_example/phoenix_warning_page.dart';

import 'phoenix_bottom_menu_uhf_page.dart';
import 'phoenix_button_page.dart';
import 'phoenix_card_page.dart';
import 'phoenix_expandable_content_block_page.dart';
import 'phoenix_generic_popup_page.dart';
import 'phoenix_popup_page.dart';
import 'phoenix_product_tiles_page.dart';
import 'phoenix_webview_main_page.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();

  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return const MaterialApp(home: HomePage());
  }
}

class HomePage extends StatelessWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Widget Sample App'),
      ),
      body: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.all(16),
          child: Column(
            children: [
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixCardPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Card")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixCheckboxPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Checkbox")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixChipPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Chip Page")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixListviewPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix ListView Text Page")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixSearchNoContentPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Search No Content Page")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixNavigationCardPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Navigation Card")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixBottomMenuUHFPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Bottom Navigation UHF")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixButtonPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Button")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixProductTilesPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Product Tiles")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixGenericPopupPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Generic Pop Up")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixPopupPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Pop Up")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixWebviewMainPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Webview")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixTitlePage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Title")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixBackButtonPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Back Button")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixEmptyPagePage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Empty Page")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) =>
                          const PhoenixExpandableContentBlockPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child:
                      Center(child: Text("Phoenix Expandable Content Block")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixBottomSheetPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Bottom Sheet")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixBottomSheetTilePage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Bottom Sheet Tile")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixShimmerPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Shimmer")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixBannerPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Banner")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixSearchbarPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Searchbar")),
                ),
              ),
              ElevatedButton(
                onPressed: () async {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixExpandableListPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Expendable")),
                ),
              ),
              ElevatedButton(
                onPressed: () async {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixWarningPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Warning")),
                ),
              ),
              ElevatedButton(
                onPressed: () async {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixListGroupPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix List Group")),
                ),
              ),
              ElevatedButton(
                onPressed: () async {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixTextFieldPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Text Field")),
                ),
              ),
              ElevatedButton(
                onPressed: () async {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixDropdownPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Dropdown")),
                ),
              ),
              ElevatedButton(
                onPressed: () async {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixDialogPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Dialog")),
                ),
              ),
              ElevatedButton(
                onPressed: () async {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) =>
                          const PhoenixListGroupPartitionPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child:
                      Center(child: Text("Phoenix List Group with Partition")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => PhoenixTabViewPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Tab View")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixMorePage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix More")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixEndOfSectionPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix End of Section")),
                ),
              ),
              ElevatedButton(
                onPressed: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => const PhoenixTickPage(),
                    ),
                  );
                },
                child: const SizedBox(
                  width: double.maxFinite,
                  child: Center(child: Text("Phoenix Tick")),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
