import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_checkbox.dart';

class PhoenixCheckboxPage extends StatefulWidget {
  const PhoenixCheckboxPage({
    Key? key
  }) : super(key: key);

  @override
  State<PhoenixCheckboxPage> createState() => _PhoenixCheckboxPageState();
}

class _PhoenixCheckboxPageState extends State<PhoenixCheckboxPage> {
  bool isFirstCheckboxChecked = false;
  bool isSecondCheckboxChecked = true;

  void onFirstCheckboxChange(bool value) {
    setState(() {
      isFirstCheckboxChecked = value;
    });
  }

  void onSecondCheckboxChange(bool value) {
    setState(() {
      isSecondCheckboxChecked = value;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Checkbox Sample'),
      ),
      body: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              const Text('Unchecked by default'),
              const SizedBox(width: 16),
              PhoenixCheckbox(
                isChecked: isFirstCheckboxChecked,
                onChange: onFirstCheckboxChange,
              )
            ],
          ),
          const SizedBox(height: 32),
          Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              const Text('Checked by default'),
              const SizedBox(width: 16),
              PhoenixCheckbox(
                isChecked: isSecondCheckboxChecked,
                onChange: onSecondCheckboxChange,
              )
            ],
          ),
        ],
      ),
    );
  }
}
