import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixDropdownPage extends StatefulWidget {
  const PhoenixDropdownPage({Key? key}) : super(key: key);

  @override
  State<PhoenixDropdownPage> createState() => _PhoenixDropdownPageState();
}

class _PhoenixDropdownPageState extends State<PhoenixDropdownPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Dropdown Sample'),
      ),
      body: PhoenixDropdown<SampleData>(
        label: 'Title',
        value: sampleDataList[0],
        onChanged: (body) {},
        items: sampleDataList.map((body) {
          return DropdownMenuItem(
            alignment: Alignment.centerLeft,
            value: body,
            child: Text(body.dataTitle!),
          );
        }).toList(),
      ),
    );
  }
}

final sampleDataList = [
  SampleData('one', [1, 2, 3]),
  SampleData('two', [1, 2, 3]),
  SampleData('three', [1, 2, 3])
];

class SampleData {
  String? dataTitle;
  List? sampleList = [];

  SampleData(this.dataTitle, this.sampleList);
}
