import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_listview.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixListviewPage extends StatefulWidget {
  const PhoenixListviewPage({Key? key}) : super(key: key);

  @override
  State<PhoenixListviewPage> createState() => _PhoenixListviewPage();
}

class _PhoenixListviewPage extends State<PhoenixListviewPage> {
  final List<Widget> _items = const [
    Text(
      'Ihram',
      style: TextStyle(fontSize: 16, fontWeight: FontWeight.w400),
    ),
    Text("Before Ihram",
        style: TextStyle(fontSize: 16, fontWeight: FontWeight.w400)),
    Text("After Ihram",
        style: TextStyle(fontSize: 16, fontWeight: FontWeight.w400)),
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          title: const Text('Phoenix Listview Text Sample'),
        ),
        body: PhoenixListview(
          title: const Text(
            'Suggestion',
            style: TextStyle(fontWeight: FontWeight.w400, fontSize: 16),
          ),
          action: Image.asset(
            "assets/illustration.png",
          ),
          contents: _items.toList(),
          callback: (int index) {
            debugPrint(_items[index].toString());
          },
          radiusContentsBox: const Radius.circular(4),
          boxContentsColor: Colors.white,
          seperatorColor: const Color(0xffEAEAEA),
          outlineBoxContentsColor: const Color(0xffEAEAEA),
          seperatorSpace: 16,

        ));
  }
}
