import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixSearchbarPage extends StatefulWidget {
  const PhoenixSearchbarPage({Key? key}) : super(key: key);

  @override
  State<PhoenixSearchbarPage> createState() => _PhoenixSearchbarPage();
}

class _PhoenixSearchbarPage extends State<PhoenixSearchbarPage> {
  String result = "";
  TextEditingController textEditingController = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Searchbar Sample App'),
      ),
      body: Column(
        children: [
          PhoenixSearchbar(
            hintText: "Search",
            padding: const EdgeInsets.symmetric(horizontal: 16, vertical: 8),
            enabled: true,
            actionWidget: TextButton(
              onPressed: () {
                showSnackBar("Cancel");
              },
              child: const Text(
                "Cancel",
                style: TextStyle(
                  color: Color(0xFF67C1BF),
                  fontSize: 16,
                  fontWeight: FontWeight.w500,
                ),
              ),
            ),
            radius: 24,
            textEditingController: textEditingController,
            onChanged: (value) {
              setState(() {
                result = value;
              });
            },
          ),
          const SizedBox(height: 30),
          Text(result)
        ],
      ),
    );
  }

  showSnackBar(String text) {
    ScaffoldMessenger.of(context).showSnackBar(
      SnackBar(
        content: Text(text),
      ),
    );
  }
}
