import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixWebviewPage extends StatefulWidget {
  const PhoenixWebviewPage({Key? key, required this.url, this.specialString})
      : super(key: key);
  final String url;
  final List<String>? specialString;

  @override
  State<PhoenixWebviewPage> createState() => _PhoenixWebviewPageState();
}

class _PhoenixWebviewPageState extends State<PhoenixWebviewPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: PhoenixWebview(
        url: widget.url,
        title: "Webview Example",
        isShowRefresh: true,
        toolbarColor: Colors.amber,
        specialContainUrl: widget.specialString,
        noInternetHandler: const Center(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [Text('No Internet'), Icon(Icons.warning_amber)],
          ),
        ),
      ),
    );
  }
}
