import 'package:flutter/material.dart';

class PhoenixEmptyPage extends StatelessWidget {
  const PhoenixEmptyPage({
    Key? key,
    required this.title,
    required this.pageImage,
    this.textStyle = const TextStyle(
      fontSize: 16.0,
      color: Color(0xff212124),
    ),
  }) : super(key: key);

  final String title;
  final Widget pageImage;
  final TextStyle textStyle;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Padding(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisSize: MainAxisSize.min,
          children: [
            pageImage,
            Container(
              height: 10,
            ),
            Text(
              title,
              style: textStyle,
              textAlign: TextAlign.center,
            ),
          ],
        ),
      ),
    );
  }
}
