import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

class PhoenixEndOfSection extends StatelessWidget {
  const PhoenixEndOfSection({
    Key? key,
    required this.label,
    this.logoImage,
    this.labelStyle = const TextStyle(
      color: Color(0xFFE0E0E0),
      fontWeight: FontWeight.w300,
      fontSize: 12,
    ),
  }) : super(key: key);

  final String label;
  final Widget? logoImage;
  final TextStyle? labelStyle;

  @override
  Widget build(BuildContext context) {
    final sectionLogoImage = logoImage ??
        SvgPicture.asset(
          'assets/images/logo_grey.svg',
          package: 'phoenix_widgets',
        );

    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 60),
      child: Column(
        children: [
          sectionLogoImage,
          const SizedBox(height: 6),
          Text(label, style: labelStyle),
        ],
      ),
    );
  }
}
