import 'package:flutter/material.dart';

class PhoenixMore extends StatelessWidget {
  const PhoenixMore({
    Key? key,
    this.onTap,
    this.titleStyle = const TextStyle(
      color: Color(0xFF00B3AF),
      fontSize: 16,
      fontWeight: FontWeight.w500,
    ),
    required this.title,
  }) : super(key: key);

  final String title;
  final VoidCallback? onTap;
  final TextStyle? titleStyle;

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      child: Row(
        children: [
          Text(title, style: titleStyle),
          const SizedBox(width: 8),
          CircleAvatar(
            radius: 14,
            backgroundColor: const Color(0xFF00B3AF).withOpacity(0.1),
            child: const Icon(
              Icons.arrow_forward_ios_rounded,
              color: Color(0xFF00B3AF),
              size: 12,
            ),
          ),
        ],
      ),
    );
  }
}
