import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class PhoenixTick extends StatelessWidget {
  const PhoenixTick({
    Key? key,
    this.isTicked = false,
    this.tickedIcon,
    this.untickedIcon,
    this.crossFadeDuration,
  }) : super(key: key);

  final bool isTicked;
  final Widget? tickedIcon, untickedIcon;
  final Duration? crossFadeDuration;

  @override
  Widget build(BuildContext context) {
    final firstChild = tickedIcon ??
        SvgPicture.asset(
          'assets/images/ic_ticked.svg',
          width: 24,
          height: 24,
          package: 'phoenix_widgets',
        );

    final secondChild = untickedIcon ??
        SvgPicture.asset(
          'assets/images/ic_unticked.svg',
          width: 24,
          height: 24,
          package: 'phoenix_widgets',
        );

    final crossFadeState =
        isTicked ? CrossFadeState.showFirst : CrossFadeState.showSecond;

    return AnimatedCrossFade(
      firstChild: firstChild,
      secondChild: secondChild,
      crossFadeState: crossFadeState,
      duration: crossFadeDuration ?? const Duration(milliseconds: 300),
    );
  }
}
