import 'package:flutter/material.dart';

class PhoenixWarning extends StatelessWidget {
  const PhoenixWarning({
    Key? key,
    required this.warningVisibility,
    required this.messageWidget,
    required this.errorWidget,
    required this.borderColor,
    required this.backgroundColor,
    required this.margin,
    required this.padding,
    required this.radius,
    required this.spacerHeight,
  }) : super(key: key);

  final bool warningVisibility;
  final Widget messageWidget;
  final Widget errorWidget;
  final Color borderColor;
  final Color backgroundColor;
  final EdgeInsetsGeometry margin;
  final EdgeInsetsGeometry padding;
  final double radius;
  final double spacerHeight;

  @override
  Widget build(BuildContext context) {
    return Visibility(
      maintainSize: false,
      visible: warningVisibility,
      child: Column(
        children: [
          Container(
            margin: margin,
            width: double.maxFinite,
            decoration: BoxDecoration(
              color: backgroundColor,
              border: Border.all(
                color: borderColor,
              ),
              borderRadius: BorderRadius.circular(radius),
            ),
            padding: padding,
            child: Row(
              children: [
                errorWidget,
                SizedBox(
                  height: spacerHeight,
                ),
                Expanded(
                  child: messageWidget,
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
